Package org.opensaml.xacml.policy.impl

# Class AttributeSelectorTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.AttributeSelectorTypeImpl

All Implemented Interfaces:
  `XMLObject`, `AttributeSelectorType`, `ExpressionType`, `XACMLObject`

public class AttributeSelectorTypeImpl extends AbstractXACMLObject implements AttributeSelectorType
Implementation `AttributeSelectorType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`dataType`
Datatype.
`private XSBooleanValue`
`mustBePresentXS`
Must be present.
`private String`
`requestContextPath`
Issuer.

### Fields inherited from interface org.opensaml.xacml.policy.AttributeSelectorType

`DATA_TYPE_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, MUST_BE_PRESENT_ATTRIB_NAME, REQUEST_CONTEXT_PATH_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_NAME_XACML20`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributeSelectorTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDataType()`
Gets the data type of the attribute to be selected.
`Boolean`
`getMustBePresent()`
Gets whether the attribute to be selected must be present.
`XSBooleanValue`
`getMustBePresentXSBoolean()`
Gets whether the attribute to be selected must be present.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getRequestContextPath()`
Gets the request context path of the attribute to be selected.
`void`
`setDataType(String type)`
Sets the data type of the attribute to be selected.
`void`
`setMustBePresent(Boolean present)`
Sets whether the attribute to be selected must be present.
`void`
`setMustBePresentXSBoolean(XSBooleanValue present)`
Sets whether the attribute to be selected must be present.
`void`
`setRequestContextPath(String path)`
Sets the request context path of the attribute to be selected.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### dataType

private String dataType
Datatype.

### requestContextPath

private String requestContextPath
Issuer.

### mustBePresentXS

private XSBooleanValue mustBePresentXS
Must be present. Default = false.

## Constructor Details

### AttributeSelectorTypeImpl

protected AttributeSelectorTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getDataType

public String getDataType()
Gets the data type of the attribute to be selected.

Specified by:
  `getDataType` in interface `AttributeSelectorType`
Returns:
  data type of the attribute to be selected

### getMustBePresent

public Boolean getMustBePresent()
Gets whether the attribute to be selected must be present.

Specified by:
  `getMustBePresent` in interface `AttributeSelectorType`
Returns:
  whether the attribute to be selected must be present

### getMustBePresentXSBoolean

public XSBooleanValue getMustBePresentXSBoolean()
Gets whether the attribute to be selected must be present.

Specified by:
  `getMustBePresentXSBoolean` in interface `AttributeSelectorType`
Returns:
  whether the attribute to be selected must be present

### getRequestContextPath

public String getRequestContextPath()
Gets the request context path of the attribute to be selected.

Specified by:
  `getRequestContextPath` in interface `AttributeSelectorType`
Returns:
  request context path of the attribute to be selected

### setDataType

public void setDataType(String type)
Sets the data type of the attribute to be selected.

Specified by:
  `setDataType` in interface `AttributeSelectorType`
Parameters:
  `type` - data type of the attribute to be selected

### setMustBePresentXSBoolean

public void setMustBePresentXSBoolean(XSBooleanValue present)
Sets whether the attribute to be selected must be present.

Specified by:
  `setMustBePresentXSBoolean` in interface `AttributeSelectorType`
Parameters:
  `present` - whether the attribute to be selected must be present

### setMustBePresent

public void setMustBePresent(Boolean present)
Sets whether the attribute to be selected must be present.

Specified by:
  `setMustBePresent` in interface `AttributeSelectorType`
Parameters:
  `present` - whether the attribute to be selected must be present

### setRequestContextPath

public void setRequestContextPath(String path)
Sets the request context path of the attribute to be selected.

Specified by:
  `setRequestContextPath` in interface `AttributeSelectorType`
Parameters:
  `path` - request context path of the attribute to be selected

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements